Bug 44846 - xmorph SRPM needs build dependency on gimp-devel
xmorph SRPM needs build dependency on gimp-devel
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xmorph (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-18 08:28 EDT by Jay Turner
Modified: 2015-01-07 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-18 08:28:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen Foster 2001-06-18 08:28:55 EDT
Description of Problem: with the 7.1 product, you cannot build the xmorph
SRPM without having gimp-devel installed.   But, if "rpm -ba
/usr/src/redhat/SPECS/xmorph*spec" is executed, you do NOT get an error
from rpm about missing/unsatisfied build dependencies.  If you install the
gimp-devel rpm, the xmorph SRPM builds without problems.

How Reproducible: Always

Steps to Reproduce:
  1. rpm -e gimp-devel
  2. rpm -Uvh <tree-path>/SRPMS/xmorph*.src.rpm
  3. rpm -ba /usr/src/redhat/SPECS/xmorph*spec
  4. rpm -Uvh <tree-path>/RedHat/RPMS/gimp-devel*
  5. rpm -ba /usr/src/redhat/SPECS/xmorph*spec

Actual Results:
first 3 steps result in a failure WITHOUT a build-requires error from rpm
next 2 steps build the SRPM without fail

Expected Results:  I would expect an rpm error message to be written to
stderr informing me the smorph SRPM cannot be built without installing the
gimp-devel RPM.


Additional Information:
Comment 1 Mike A. Harris 2001-06-18 09:04:56 EDT
Fixed in the 2001.02.22-2 release.

Note You need to log in before you can comment on or make changes to this bug.